ONVIF::Device::Elements::SetCertificatesStatus(3pm)

NAME
ONVIF::Device::Elements::SetCertificatesStatus

DESCRIPTION
Perl data type class for the XML Schema defined element SetCertificatesStatus from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateStatus

     $element->set_CertificateStatus($data);
     $element->get_CertificateStatus();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetCertificatesStatus->new($data);

Constructor. The following data structure may be passed to new():

 {
   CertificateStatus =>  { # ONVIF::Device::Types::CertificateStatus
     CertificateID =>  $some_value, # token
     Status =>  $some_value, # boolean
   },
 },

AUTHOR
Generated by SOAP::WSDL